/*
 * Author: Zev
 * 生成Service
 */
package com.tofly.gpsboot.service.fill;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.pojo.fill.FillMonth;
import com.tofly.pojo.fill.FillVo;

import java.util.List;


public interface FillMonthService extends IService<FillMonth> {

    Page<FillMonth> getFillMonthPage(Page page,FillMonth fillMonth);
    /**
     * 新增
     * @param fillMonth
     * @return
     */
    boolean saveFillMonth(FillMonth fillMonth);

    /**
     * 修改
     * @param fillMonth
     * @return
     */
    boolean updateFillMonth(FillMonth fillMonth);

    boolean auditFillMonth(Long id,Long auditUserId,String auditNote,String auditState);

    List<FillVo> getIndexValDay(String startDate, String endDate, List<Long> sewageIds);

//    List<FillVo> getIndexValMonth(String startMonth, String endMonth);

    List<FillMonth> getIndexValYear(String startYear, String endYear, List<Long> sewageIds);

}
